package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantUserUploadRequest struct {
	/*
	   渠道用户信息     */
	UserInfoList *[]domain.AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo `json:"user_info_list" required:"true" `
}

func (s *AlibabaTclsAelophyMerchantUserUploadRequest) SetUserInfoList(v []domain.AlibabaTclsAelophyMerchantUserUploadMerchantUserInfo) *AlibabaTclsAelophyMerchantUserUploadRequest {
	s.UserInfoList = &v
	return s
}

func (req *AlibabaTclsAelophyMerchantUserUploadRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.UserInfoList != nil {
		paramMap["user_info_list"] = util.ConvertStructList(*req.UserInfoList)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyMerchantUserUploadRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
